CoverageEligibilityRequest $submit

post/CoverageEligibilityRequest/$submit
Page View

This resource contains details about a patient's eligibility for services, equipment, or prescriptions, typically before a patient visit.

A healthcare organization may use this resource to request estimates or quotes, as well as a patient’s financial responsibility, before a visit or order.

A payer, employer, or other entity processes the request and returns a general benefit summary or quote based on the patient’s insurance plan. The response comes in a CoverageEligibilityResponse resource type.

This is different from a preauthorization request. Learn about preauthorization requests.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

$submit

Submit a coverage eligibility request to a payer, employer, or other entity responsible for insurance payments.

A coverage eligibility request determines:

  • whether the payer, employer, or other entity has a particular subscriber or dependent on file; and
  • healthcare eligibility and/or benefit information about that subscriber and/or dependent.

The response returns a bundle of resources in a CoverageEligibilityResponse resource type.

Request parameters and payload

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/CoverageEligibilityRequest/$submit' \
2
--request POST \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'Content-Type: application/fhir+json' \
5
--data '{
6
"resourceType": "Bundle",
7
"id": "RedoxCoverageEligibilityRequestBundleExample",
8
"type": "collection",
9
"identifier": {
10
"system": "urn:ietf:rfc:3986",
11
"value": "urn:uuid:d348a18d-3676-426b-8105-e36085a710e3"
12
},
13
"timestamp": "2021-09-02T18:47:15.916Z",
14
"entry": [
15
{
16
"resource": {
17
"resourceType": "CoverageEligibilityRequest",
18
"id": "check-123456789",
19
"status": "active",
20
"patient": {
21
"reference": "Patient/RedoxPABeneficiaryExample"
22
},
23
"created": "2022-01-18T16:27:49.101Z",
24
"servicedPeriod": {
25
"start": "2022-01-18T16:20:00.101Z",
26
"end": "2022-01-18T17:20:00.101Z"
27
},
28
"purpose": [
29
"benefits"
30
],
31
"insurer": {
32
"reference": "Organization/RedoxPAInsurerOrganizationExample"
33
},
34
"provider": {
35
"reference": "Practitioner/RedoxPAPractitionerExamplePat"
36
},
37
"facility": {
38
"reference": "Location/RedoxLocationExample"
39
},
40
"priority": {
41
"coding": [
42
{
43
"code": "normal",
44
"system": "http://terminology.hl7.org/CodeSystem/processpriority"
45
}
46
]
47
},
48
"insurance": [
49
{
50
"focal": true,
51
"coverage": {
52
"reference": "Coverage/RedoxPACoverageExample"
53
}
54
}
55
],
56
"item": [
57
{
58
"category": {
59
"coding": [
60
{
61
"code": "30",
62
"system": "https://x12.org/codes/service-type-codes",
63
"display": "Plan Coverage and General Benefits"
64
}
65
]
66
}
67
}
68
]
69
}
70
},
71
{
72
"resource": {
73
"resourceType": "Patient",
74
"id": "RedoxPABeneficiaryExample",
75
"identifier": [
76
{
77
"system": "urn:redox:MRN",
78
"value": "M23462346"
79
}
80
],
81
"name": [
82
{
83
"given": [
84
"Timothy",
85
"Paul"
86
],
87
"family": "Bixby"
88
}
89
],
90
"gender": "male",
91
"birthDate": "2008-01-06"
92
}
93
},
94
{
95
"resource": {
96
"resourceType": "Coverage",
97
"id": "RedoxPACoverageWithRelatedSubscriberExample",
98
"class": [
99
{
100
"type": {
101
"coding": [
102
{
103
"code": "group",
104
"system": "http://terminology.hl7.org/CodeSystem/coverage-class"
105
}
106
]
107
},
108
"value": "GRP2245"
109
}
110
],
111
"status": "active",
112
"beneficiary": {
113
"reference": "Patient/RedoxPABeneficiaryExample"
114
},
115
"payor": [
116
{
117
"reference": "Organization/RedoxPAInsurerOrganizationExample"
118
}
119
],
120
"subscriber": {
121
"reference": "RelatedPerson/RedoxPASubscriberExample"
122
},
123
"subscriberId": "M2346623"
124
}
125
},
126
{
127
"resource": {
128
"resourceType": "Organization",
129
"id": "RedoxPAInsurerOrganizationExample",
130
"active": true,
131
"name": "Aetna",
132
"address": [
133
{
134
"line": [
135
"PO Box 14080"
136
],
137
"city": "Lexington",
138
"district": "Fayette",
139
"state": "KY",
140
"postalCode": "40512-4079",
141
"country": "USA"
142
}
143
]
144
}
145
},
146
{
147
"resource": {
148
"resourceType": "Practitioner",
149
"id": "RedoxPAPractitionerExamplePat",
150
"identifier": [
151
{
152
"system": "http://hl7.org/fhir/sid/us-npi",
153
"value": "4356789876"
154
}
155
],
156
"name": [
157
{
158
"given": [
159
"Pat"
160
],
161
"family": "Granite"
162
}
163
],
164
"address": [
165
{
166
"line": [
167
"123 Main St."
168
],
169
"city": "Madison",
170
"district": "Dane",
171
"state": "WI",
172
"postalCode": "53703",
173
"country": "USA"
174
}
175
],
176
"telecom": [
177
{
178
"value": "+16085551234"
179
}
180
]
181
}
182
},
183
{
184
"resource": {
185
"resourceType": "RelatedPerson",
186
"id": "RedoxPASubscriberExample",
187
"patient": {
188
"reference": "Patient/RedoxPABeneficiaryExample"
189
},
190
"name": [
191
{
192
"given": [
193
"Barbara"
194
],
195
"family": "Bixby"
196
}
197
],
198
"relationship": [
199
{
200
"text": "Mother"
201
}
202
]
203
}
204
},
205
{
206
"resource": {
207
"resourceType": "Location",
208
"id": "RedoxLocationExample",
209
"name": "RHS Vista Oaks Clinic",
210
"type": [
211
{
212
"coding": [
213
{
214
"code": "OF",
215
"system": "http://terminology.hl7.org/CodeSystem/v3-RoleCode",
216
"display": "Outpatient Facility"
217
}
218
]
219
}
220
],
221
"physicalType": {
222
"coding": [
223
{
224
"code": "bu",
225
"system": "http://terminology.hl7.org/CodeSystem/location-physical-type",
226
"display": "Building"
227
}
228
]
229
}
230
}
231
}
232
],
233
"Meta": {
234
"Logs": [
235
{
236
"ID": "d9f5d293-7110-461e-a875-3beb089e79f3",
237
"AttemptID": "925d1617-2fe0-468c-a14c-f8c04b572c54"
238
}
239
],
240
"Test": true,
241
"EventDateTime": "2026-05-14T14:06:57.672Z",
242
"Source": {
243
"ID": "7ce6f387-c33c-417d-8682-81e83628cbd9",
244
"Name": "Redox Dev Tools"
245
},
246
"Destinations": [
247
{
248
"ID": "af394f14-b34a-464f-8d24-895f370af4c9",
249
"Name": "Redox EMR"
250
}
251
],
252
"DataModel": "FHIR.CoverageEligibilityRequest",
253
"EventType": "$submit"
254
}
255
}'

Request Body Schema

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Indicates the purpose of this bundle - how it is intended to be used.

    Value: collection
  • entry
    required, Array of CoverageEligibilityRequest, Patient, Coverage, Location

    An array of FHIR resources. At a minimum, a CoverageEligibilityRequest should include the following entries:

    • CoverageEligibilityRequest - the most important part of the request - contains references to all other resources, and the query in item
    • Patient - the patient the claim is about
    • Organization - at least one resource representing the party responsible for making the claim. Additional organization resources may carry information such as pharmacy, payor, or policy holder.
    • Coverage - the patient's insurance

    Additional resources such as RelatedPerson should be included in scenarios where the Patient is a dependent of the coverage holder.

    • resource
      required, object

      The Resource for the entry. The purpose/meaning of the resource is determined by the Bundle.type.

      • resourceType
        required, string

        Identifies the type of the resource

        Value: CoverageEligibilityRequest
      • id
        required, string

        The internal tracking identifier for this eligibility request. This id will be returned on the CoverageEligibilityResponse.

      • status
        required, string

        The status of the resource instance.

        Possible Values: active, cancelled, draft, entered-in-error
      • purpose
        required, Array of string

        Code to specify whether requesting: prior authorization requirements for some service categories or billing codes; benefits for coverages specified or discovered; discovery and return of coverages for the patient; and/or validation that the specified coverage is in-force at the date/period specified or 'now' if not specified.

        Possible Values: auth-requirements, benefits, discovery, validation
      • patient
        required, object

        The Patient that you want to run eligibility checks for. This may be different than the policy holder

        Must be a resource of type Patient.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • created
        required, string

        The date when this resource was created.

      • insurer
        required, object

        The payer that the request should be submitted to.

        Must be a resource of type Organization.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • insurance
        Array of object

        Financial instruments for reimbursement for the health care products and services.

        • coverage
          required, object

          The patient's coverage that should be used to make the eligiblity determination.

          Must be a resource of type Coverage.

          • reference
            string

            A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

        • focal
          boolean

          A flag to indicate that this Coverage is to be used for evaluation of this request when set to true.

        • businessArrangement
          string

          A business agreement number established between the provider and the insurer for special business processing purposes.

Response fields and example

Example Eligibility Response
json
1
{}
  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Indicates the purpose of this bundle - how it is intended to be used.

    Value: collection
  • entry
    required, Array of CoverageEligibilityResponse, Patient, Coverage, Location

    Contains at least one CoverageEligibilityResponse and other resources relevant to the coverage check.

    • resource
      required, object

      The Resource for the entry. The purpose/meaning of the resource is determined by the Bundle.type.

      • resourceType
        required, string

        Identifies the type of the resource

        Value: CoverageEligibilityResponse
      • id
        required, string

        The internal tracking identifier for this eligibility request. This id will be returned on the CoverageEligibilityResponse.

      • status
        required, string

        The status of the resource instance.

        Possible Values: active, cancelled, draft, entered-in-error
      • purpose
        required, Array of string

        Code to specify whether requesting: prior authorization requirements for some service categories or billing codes; benefits for coverages specified or discovered; discovery and return of coverages for the patient; and/or validation that the specified coverage is in-force at the date/period specified or 'now' if not specified.

        Possible Values: auth-requirements, benefits, discovery, validation
      • patient
        required, object

        The Patient that the elgibility results are being reported for. This may be different than the policy holder

        Must be a resource of type Patient.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • created
        required, string

        The date this resource was created.

      • request
        required, object

        The initial CoverageEligibilityRequest.

        Must be a resource of type CoverageEligibilityRequest.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • outcome
        required, string

        The outcome of the request processing.

        Possible Values: queued, complete, error, partial
      • insurer
        required, object

        The payer that the request should be submitted to.

        Must be a resource of type Organization.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • insurance
        required, Array of object

        Financial instruments for reimbursement for the health care products and services.

        • coverage
          required, object

          The coverage of the patient.

          Must be a resource of type Coverage.

          • reference
            string

            A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

        • item
          Array of object

          Benefits and optionally current balances, and authorization details by category or service.

    FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.